> ## Documentation Index
> Fetch the complete documentation index at: https://docs.arouter.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 지원 프로바이더

> ARouter에서 이용 가능한 모든 LLM 프로바이더와 지원 모델 및 엔드포인트.

## 프로바이더 목록

ARouter는 다음 프로바이더를 지원합니다. 모든 프로바이더는 OpenAI 호환 `/v1/chat/completions` 엔드포인트를 통해 `provider/model` 형식으로 접근할 수 있습니다.

<AccordionGroup>
  <Accordion title="OpenAI" icon="bolt">
    **Provider ID:** `openai`

    | 모델             | 설명               |
    | -------------- | ---------------- |
    | `gpt-5.4`      | 플래그십 멀티모달 모델     |
    | `gpt-5.4-mini` | 빠르고 비용 효율적       |
    | `gpt-5.4-nano` | 초경량, 분류 및 추출에 최적 |
    | `o4-mini`      | 최신 소형 추론 모델      |
    | `o3`           | 고급 추론 모델         |

    ```python theme={null}
    response = client.chat.completions.create(
        model="openai/gpt-5.4",
        messages=[{"role": "user", "content": "Hello!"}],
    )
    ```
  </Accordion>

  <Accordion title="Anthropic" icon="brain">
    **Provider ID:** `anthropic`

    | 모델                  | 설명                    |
    | ------------------- | --------------------- |
    | `claude-sonnet-4.6` | 최신 Sonnet — 최적의 균형 성능 |
    | `claude-opus-4.6`   | 가장 강력한 Claude 모델      |
    | `claude-haiku-4.5`  | 빠르고 경량                |

    OpenAI 호환 엔드포인트와 Anthropic 네이티브 엔드포인트 모두 지원:

    ```python theme={null}
    # OpenAI SDK 경유
    response = client.chat.completions.create(
        model="anthropic/claude-sonnet-4.6", ...
    )

    # Anthropic SDK 경유 (네이티브)
    message = anthropic_client.messages.create(
        model="claude-sonnet-4.6", ...
    )
    ```
  </Accordion>

  <Accordion title="Google Gemini" icon="wand-magic-sparkles">
    **Provider ID:** `google`

    | 모델                 | 설명                           |
    | ------------------ | ---------------------------- |
    | `gemini-2.5-flash` | 내장 사고 기능이 있는 빠른 멀티모달 모델      |
    | `gemini-2.5-pro`   | 가장 강력한 Gemini 모델, 1M 컨텍스트 지원 |

    OpenAI 호환 엔드포인트와 Gemini 네이티브 엔드포인트 모두 지원:

    ```python theme={null}
    # OpenAI SDK 경유
    response = client.chat.completions.create(
        model="google/gemini-2.5-flash", ...
    )

    # Gemini SDK 경유 (네이티브)
    model = genai.GenerativeModel("gemini-2.5-flash")
    response = model.generate_content("Hello!")
    ```
  </Accordion>

  <Accordion title="DeepSeek" icon="microchip">
    **Provider ID:** `deepseek`

    | 모델              | 설명                              |
    | --------------- | ------------------------------- |
    | `deepseek-v3.2` | 플래그십 범용 모델 — GPT-5 수준을 저렴한 비용으로 |
    | `deepseek-r1`   | Chain-of-Thought 추론 모델          |

    ```python theme={null}
    response = client.chat.completions.create(
        model="deepseek/deepseek-v3.2", ...
    )
    ```
  </Accordion>

  <Accordion title="xAI (Grok)" icon="robot">
    **Provider ID:** `x-ai`

    | 모델              | 설명                     |
    | --------------- | ---------------------- |
    | `grok-4.20`     | 최신 플래그십 모델, 가장 낮은 환각률  |
    | `grok-4.1-fast` | 초고속 모델, 2M 컨텍스트 윈도우 지원 |

    ```python theme={null}
    response = client.chat.completions.create(
        model="x-ai/grok-4.20", ...
    )
    ```
  </Accordion>

  <Accordion title="Mistral" icon="wind">
    **Provider ID:** `mistralai`

    | 모델                   | 설명                                  |
    | -------------------- | ----------------------------------- |
    | `mistral-large-2512` | Mistral Large 3 — 가장 강력한 Mistral 모델 |
    | `mistral-medium-3.1` | 성능과 비용의 균형                          |
    | `codestral-2508`     | 코드 생성에 최적화                          |

    ```python theme={null}
    response = client.chat.completions.create(
        model="mistralai/mistral-large-2512", ...
    )
    ```
  </Accordion>

  <Accordion title="Groq" icon="gauge-high">
    **Provider ID:** `groq`

    | 모델                            | 설명                                   |
    | ----------------------------- | ------------------------------------ |
    | `meta-llama/llama-4-maverick` | Groq의 Llama 4 Maverick — 멀티모달, 초고속   |
    | `meta-llama/llama-4-scout`    | Groq의 Llama 4 Scout — 1000만 컨텍스트 윈도우 |

    ```python theme={null}
    response = client.chat.completions.create(
        model="groq/meta-llama/llama-4-maverick", ...
    )
    ```
  </Accordion>

  <Accordion title="Kimi (Moonshot)" icon="moon">
    **Provider ID:** `moonshotai`

    | 모델          | 설명                        |
    | ----------- | ------------------------- |
    | `kimi-k2.5` | 최신 Kimi 플래그십 — 비전 지원 멀티모달 |

    ```python theme={null}
    response = client.chat.completions.create(
        model="moonshotai/kimi-k2.5", ...
    )
    ```
  </Accordion>

  <Accordion title="MiniMax" icon="minimize">
    **Provider ID:** `minimax`

    | 모델             | 설명                   |
    | -------------- | -------------------- |
    | `minimax-m2.7` | 최신 플래그십 — 장문 컨텍스트 추론 |

    MiniMax 네이티브 엔드포인트도 지원:

    ```python theme={null}
    response = client.chat.completions.create(
        model="minimax/minimax-m2.7", ...
    )
    ```
  </Accordion>

  <Accordion title="Meta Llama" icon="layer-group">
    **Provider ID:** `meta-llama`

    | 모델                 | 설명                                            |
    | ------------------ | --------------------------------------------- |
    | `llama-4-maverick` | Llama 4 플래그십 — 네이티브 멀티모달, 128K 컨텍스트           |
    | `llama-4-scout`    | Llama 4 Scout — 1000만 컨텍스트 윈도우, 단일 GPU 효율적 실행 |

    ```python theme={null}
    response = client.chat.completions.create(
        model="meta-llama/llama-4-maverick", ...
    )
    ```
  </Accordion>

  <Accordion title="Qwen（Alibaba）" icon="circle-nodes">
    **Provider ID:** `qwen`

    | 모델                  | 설명                             |
    | ------------------- | ------------------------------ |
    | `qwen3.5-397b-a17b` | Qwen 3.5 플래그십 — 동영상 이해 지원 멀티모달 |
    | `qwen3-coder`       | 4800억 파라미터 코딩 전문 모델            |

    ```python theme={null}
    response = client.chat.completions.create(
        model="qwen/qwen3.5-397b-a17b", ...
    )
    ```
  </Accordion>
</AccordionGroup>

## 이용 가능한 모델 목록 조회

models 엔드포인트를 사용하여 현재 API key로 접근 가능한 모든 모델을 확인하세요:

```bash theme={null}
curl https://api.arouter.ai/v1/models \
  -H "Authorization: Bearer lr_live_xxxx"
```

응답 예시:

```json theme={null}
{
  "object": "list",
  "data": [
    {
      "id": "openai/gpt-5.4",
      "object": "model",
      "owned_by": "openai"
    },
    {
      "id": "anthropic/claude-sonnet-4.6",
      "object": "model",
      "owned_by": "anthropic"
    }
  ]
}
```

<Note>
  모델 목록은 API key의 `allowed_providers` 설정에 따라 필터링됩니다.
  key에서 프로바이더를 제한한 경우 허용된 프로바이더의 모델만 표시됩니다.
</Note>
